%define version 2.6.0
%define release 6mdk

Summary: An FTP daemon originally developed by Washington University.
Name: wu-ftpd
Version: %{version}
Release: %{release}
Copyright: BSD
Group: System/Servers
Source: ftp://ftp.wu-ftpd.org/pub/wu-ftpd/%{name}-%{version}.tar.bz2
Source1: ftpd.log
Source2: ftp.pamd
Patch0: wu-ftpd-2.6.0-redhat.patch.bz2
Patch1: wu-ftpd-2.6.0-ftpwho.patch.bz2
Patch2: wu-ftpd-2.6.0-nonrootfix.patch.bz2
Provides: ftpserver
Prereq: fileutils
Obsoletes: BeroFTPD
Provides: BeroFTPD
Buildroot: /var/tmp/%{name}root
Requires: netkit-base

%description
The wu-ftpd package contains the wu-ftpd FTP (File Transfer Protocol)
server daemon.  The FTP protocol is a method of transferring files
between machines on a network and/or over the Internet.  Wu-ftpd's
features include logging of transfers, logging of commands, on the fly
compression and archiving, classification of users' type and location,
per class limits, per directory upload permissions, restricted guest
accounts, system wide and per directory messages, directory alias,
cdpath, filename filter and virtual host support.

Install the wu-ftpd package if you need to provide FTP service to remote
users.

%prep
%setup -q
mkdir rhsconfig
%patch0 -p1 
%patch1 -p1
%patch2 -p1

%build
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./build lnx USE_PAM=1
./configure --disable-quota --enable-pam 
#--prefix=/usr
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man{5,8,1}
make install prefix=$RPM_BUILD_ROOT/usr
install -m755 util/xferstats $RPM_BUILD_ROOT/usr/sbin
cd rhsconfig
mv ftpaccess ftpaccess.mdk
cat ftpaccess.mdk | sed 's/,guest,anonymous//g' > ftpaccess
install -m 600 ftpaccess ftpusers  ftphosts ftpgroups ftpconversions $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/{pam,logrotate}.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/wu.ftpd
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/in.wuftpd
chmod -R 755 $RPM_BUILD_ROOT/usr/bin
chmod -R 755 $RPM_BUILD_ROOT/usr/sbin
%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/xferlog ]; then
    touch /var/log/xferlog
    chmod 600 /var/log/xferlog
fi

%files
%defattr(-,root,root)
%doc README CHANGES ERRATA CONTRIBUTORS 
%doc COPYRIGHT INSTALL LICENSE
%doc doc/misc doc/examples doc/HOWTO doc/TODO
/usr/sbin/*
/usr/bin/*
/usr/man/*/*
%config /etc/ftp*
%config /etc/pam.d/ftp
%config /etc/logrotate.d/ftpd

%changelog
* Sun May 07 2000 Jerome Martin <jerome@mandrakesoft.com> 2.6.0-6mdk
- use new configure compilation style 
- disable quotas by default to fix conflicts with supermount 
  (floppy I/O errors)

* Mon Apr 10 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- make a non root fix for Makefile.in

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.6.0-4mdk
- Fixed groups
- spec-helper

* Tue Jan 04 2000 John Buswell <johnb@mandrakesoft.com>
- Fixed anon access so that it requires anonftp package
- Added requires for netkit

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh patchs.
- Real pam support.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.6.0.

* Sat Sep 18 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.6.0pre2
- switch to autoconfed build
- enable support for broken clients
- bzip2 man pages
- Obsoletes: BeroFTPD - this is the first common version. ;)

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- crafted the "general use" spec file for automatically building rpms
